﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Create_Dock_Dynamically : System.Web.UI.Page
{
	RadDock dock;
	protected override void OnInit(EventArgs e)
	{
		base.OnInit(e);

		dock = new RadDock();
		dock.ID = "RadDock1";
		dock.Width = Unit.Pixel(300);
		dock.Height = Unit.Pixel(200);
		dock.Title = "Dock Title";
		dock.Text = "Text";

		dock.CommandsAutoPostBack = true;
		dock.Commands.Add(new DockExpandCollapseCommand());
		dock.Command += new DockCommandEventHandler(dock_Command);

		RadDockZone1.Controls.Add(dock);
	}


	protected void dock_Command(object sender, DockCommandEventArgs e)
	{
		RadDock objDock = sender as RadDock;
		objDock.Text = DateTime.Now.ToString();
		Label1.Text = "LABEL TEXT";
	}
}
